Send Outbound Message
Submits Outbound Message for sending.
Response status code 200 means that the Outbound Message was accepted for delivery.
It does not guarantee that the message will be sent right away, or ever.
Depending on the TCR Campaign association state, the remaining TCR limit and the Opt-Out of the recipient,
the message may end up queued or even discarded.
In case MediaUrls array is not empty (i.e. contains at least one attachment URL)
and/or more than 1 recipient the message is considered MMS.
Basic Authorization header using the BASIC scheme. Use a pair companySid:token to access the API.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Submit Outbound Message request.
Response Body
curl -X POST "https://example.com/v1/OutboundMessages" \ -H "Content-Type: application/json" \ -d '{ "from": "+12145678900", "to": "+19876543210", "text": "Glad to see you!", "ignoreSendingTimes": false }'{ "sid": "OM08d9704f044a2fa13d3faa216fcf4574b64b19be32626243", "segmentCount": 0}{ "errorCode": 0, "errorMessage": "string"}{ "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1", "title": "Error title", "detail": "Error detailed message", "traceId": "|4ef17786-b103-420e-89c0-cc425ac14809.edfcbee9_"}